__all__ = ['configs_arxiv_coral', 'configs_arxiv_irm', 'configs_arxiv_erm', 'configs_arxiv_erm_lisa',
           'configs_arxiv_erm_mixup', 'configs_arxiv_agem', 'configs_arxiv_ewc', 'configs_arxiv_ft',
           'configs_arxiv_si', 'configs_arxiv_evos', 'configs_arxiv_drain', "configs_arxiv_lssae"]




configs_arxiv_coral = {'dataset': 'arxiv', 'method': 'coral', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, 'group_size': 1, 'coral_lambda': 1.0, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/coral', 'results_dir': './results/arxiv/coral'}
configs_arxiv_irm = {'dataset': 'arxiv', 'method': 'irm', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, 'group_size': 1, 'irm_lambda': 1.0, 'irm_penalty_anneal_iters': 0, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/irm', 'results_dir': './results/arxiv/irm'}
configs_arxiv_erm = {'dataset': 'arxiv', 'method': 'erm', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/erm', 'results_dir': './results/arxiv/erm'}
configs_arxiv_erm_lisa = {'dataset': 'arxiv', 'method': 'erm', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, 'lisa': True, 'lisa_intra_domain': False, 'mixup': False, 'lisa_start_time': 0, 'mix_alpha': 2.0, 'cut_mix': False, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/erm_lisa', 'results_dir': './results/arxiv/erm_lisa'}
configs_arxiv_erm_mixup = {'dataset': 'arxiv', 'method': 'erm', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, 'lisa': False, 'lisa_intra_domain': False, 'mixup': True, 'lisa_start_time': 0, 'mix_alpha': 2.0, 'cut_mix': False, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/erm_mixup', 'results_dir': './results/arxiv/erm_mixup'}
configs_arxiv_agem = {'dataset': 'arxiv', 'method': 'agem', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, 'buffer_size': 1000, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/agem', 'results_dir': './results/arxiv/agem'}
configs_arxiv_ewc = {'dataset': 'arxiv', 'method': 'ewc', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, 'ewc_lambda': 0.5, 'gamma': 1.0, 'online': True, 'fisher_n': None, 'emp_FI': False, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/ewc', 'results_dir': './results/arxiv/ewc'}
configs_arxiv_ft = {'dataset': 'arxiv', 'method': 'ft', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/ft', 'results_dir': './results/arxiv/ft'}
configs_arxiv_si = {'dataset': 'arxiv', 'method': 'si', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, 'si_c': 0.1, 'epsilon': 0.0001, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/si', 'results_dir': './results/arxiv/si'}
configs_arxiv_drain = {'dataset': 'arxiv', 'method': 'drain', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, "hidden_dim": 64, "latent_dim": 64, "num_rnn_layers": 10, "num_layer_to_replace": 1, "window_size": 0, "lambda_forgetting": 0.0, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/drain', 'results_dir': './results/arxiv/drain'}
configs_arxiv_gi = {'dataset': 'arxiv', 'method': 'gi', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, "time_dim": 8, "time_append_dim": 32, 'gi_finetune_epochs': 5, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/gi', 'results_dir': './results/arxiv/gi'}
configs_arxiv_lssae = {'dataset': 'arxiv', 'method': 'lssae', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, 'lssae_coeff_y': 1.0, 'lssae_coeff_ts': 0.1, 'lssae_coeff_w': 1.0, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/lssae', 'results_dir': './results/arxiv/lssae'}
configs_arxiv_evos = {'dataset': 'arxiv', 'method': 'evos', 'device': 0, 'epochs': 5, 'lr': 2e-05, 'init_timestamp': 2007, 'split_time': 2015, 'num_head': 128, 'scale': 3, 'tradeoff_adv': 1.0, 'truncate': 1.0, 'data_dir': './datasets/arxiv', 'log_dir': './checkpoints/arxiv/evos', 'results_dir': './results/arxiv/evos'}


