
__all__ = ['configs_fmow_coral', 'configs_fmow_irm',
           'configs_fmow_erm', 'configs_fmow_erm_lisa', 'configs_fmow_erm_mixup',
           'configs_fmow_agem', 'configs_fmow_ewc', 'configs_fmow_ft', 'configs_fmow_si',
           'configs_fmow_simclr', 'configs_fmow_swav', 'configs_fmow_evos', 'configs_fmow_drain', "configs_fmow_lssae"]


configs_fmow_coral = {'dataset': 'fmow', 'method': 'coral', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'coral_lambda': 1.0, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/coral', 'results_dir': './results/fMoW/coral'}

configs_fmow_irm = {'dataset': 'fmow', 'method': 'irm', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'irm_lambda': 1.0, 'irm_penalty_anneal_iters': 0, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/irm', 'results_dir': './results/fMoW/irm'}

configs_fmow_erm = {'dataset': 'fmow', 'method': 'erm', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/erm', 'results_dir': './results/fMoW/erm'}

configs_fmow_erm_lisa = {'dataset': 'fmow', 'method': 'erm', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'lisa': True, 'lisa_intra_domain': False, 'mixup': False, 'lisa_start_time': 0, 'mix_alpha': 2.0, 'cut_mix': False, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/erm_lisa', 'results_dir': './results/fMoW/erm_lisa'}

configs_fmow_erm_mixup = {'dataset': 'fmow', 'method': 'erm', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'lisa': False, 'lisa_intra_domain': False, 'mixup': True, 'lisa_start_time': 0, 'mix_alpha': 2.0, 'cut_mix': False, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/erm_mixup', 'results_dir': './results/fMoW/erm_mixup'}

configs_fmow_agem = {'dataset': 'fmow', 'method': 'agem', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'buffer_size': 1000, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/agem', 'results_dir': './results/fMoW/agem'}

configs_fmow_ewc = {'dataset': 'fmow', 'method': 'ewc', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'ewc_lambda': 0.5, 'gamma': 1.0, 'online': True, 'fisher_n': None, 'emp_FI': False, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/ewc', 'results_dir': './results/fMoW/ewc'}

configs_fmow_ft = {'dataset': 'fmow', 'method': 'ft', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/ft', 'results_dir': './results/fMoW/ft'}

configs_fmow_si = {'dataset': 'fmow', 'method': 'si', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'si_c': 0.1, 'epsilon': 0.001, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/si', 'results_dir': './results/fMoW/si'}

configs_fmow_simclr = {'dataset': 'fmow', 'method': 'simclr', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/simclr', 'results_dir': './results/fMoW/simclr'}

configs_fmow_swav = {'dataset': 'fmow', 'method': 'swav', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/swav', 'results_dir': './results/fMoW/swav'}

configs_fmow_evos = {'dataset': 'fmow', 'method': 'evos', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/evos', 'results_dir': './results/fMoW/evos',
                              'scale': 3, 'num_head': 64, 'dim_bottleneck_f': 256, 'tradeoff_adv': 1.0, 'truncate': 1.0}

configs_fmow_drain = {'dataset': 'fmow', 'method': 'drain', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/drain', 'results_dir': './results/fMoW/drain',
                      "hidden_dim": 64, "latent_dim": 64, "num_rnn_layers": 10, "num_layer_to_replace": 1, "window_size": 0, "lambda_forgetting": 0.0}

configs_fmow_gi = {'dataset': 'fmow', 'method': 'gi', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/gi', 'results_dir': './results/fMoW/gi', "time_dim": 8, "time_append_dim": 256}

configs_fmow_lssae = {'dataset': 'fmow', 'method': 'lssae', 'device': 0, 'epochs': 25, 'lr': 0.0002, 'init_timestamp': 0, 'split_time': 12, 'data_dir': './datasets/fMoW', 'log_dir': './checkpoints/fMoW/lssae', 'results_dir': './results/fMoW/lssae'}
