__all__ = ['configs_huffpost_coral', 'configs_huffpost_irm', 'configs_huffpost_erm', 'configs_huffpost_erm_lisa',
           'configs_huffpost_erm_mixup', 'configs_huffpost_agem', 'configs_huffpost_ewc', 'configs_huffpost_ft',
           'configs_huffpost_si', 'configs_huffpost_evos', 'configs_huffpost_drain', "configs_huffpost_lssae"]




configs_huffpost_coral = {'dataset': 'huffpost', 'method': 'coral', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, 'group_size': 1, 'coral_lambda': 1.0, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/coral', 'results_dir': './results/huffpost/coral'}
configs_huffpost_irm = {'dataset': 'huffpost', 'method': 'irm', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, 'group_size': 1, 'irm_lambda': 1.0, 'irm_penalty_anneal_iters': 0, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/irm', 'results_dir': './results/huffpost/irm'}
configs_huffpost_erm = {'dataset': 'huffpost', 'method': 'erm', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/erm', 'results_dir': './results/huffpost/erm'}
configs_huffpost_erm_lisa = {'dataset': 'huffpost', 'method': 'erm', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, 'lisa': True, 'lisa_intra_domain': False, 'mixup': False, 'lisa_start_time': 0, 'mix_alpha': 2.0, 'cut_mix': False, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/erm_lisa', 'results_dir': './results/huffpost/erm_lisa'}
configs_huffpost_erm_mixup = {'dataset': 'huffpost', 'method': 'erm', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, 'lisa': False, 'lisa_intra_domain': False, 'mixup': True, 'lisa_start_time': 0, 'mix_alpha': 2.0, 'cut_mix': False, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/erm_mixup', 'results_dir': './results/huffpost/erm_mixup'}
configs_huffpost_agem = {'dataset': 'huffpost', 'method': 'agem', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, 'buffer_size': 1000, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/agem', 'results_dir': './results/huffpost/agem'}
configs_huffpost_ewc = {'dataset': 'huffpost', 'method': 'ewc', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, 'ewc_lambda': 0.5, 'gamma': 1.0, 'online': True, 'fisher_n': None, 'emp_FI': False, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/ewc', 'results_dir': './results/huffpost/ewc'}
configs_huffpost_ft = {'dataset': 'huffpost', 'method': 'ft', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/ft', 'results_dir': './results/huffpost/ft'}
configs_huffpost_si = {'dataset': 'huffpost', 'method': 'si', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, 'si_c': 0.1, 'epsilon': 0.0001, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/si', 'results_dir': './results/huffpost/si'}
configs_huffpost_drain = {'dataset': 'huffpost', 'method': 'drain', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, "hidden_dim": 64, "latent_dim": 64, "num_rnn_layers": 10, "num_layer_to_replace": 1, "window_size": 0, "lambda_forgetting": 0.0, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/drain', 'results_dir': './results/huffpost/drain'}
configs_huffpost_gi = {'dataset': 'huffpost', 'method': 'gi', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, "time_dim": 8, "time_append_dim": 32, 'gi_finetune_epochs': 5, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/gi', 'results_dir': './results/huffpost/gi'}
configs_huffpost_lssae = {'dataset': 'huffpost', 'method': 'lssae', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, 'lssae_coeff_y': 1.0, 'lssae_coeff_ts': 0.1, 'lssae_coeff_w': 1.0, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/lssae', 'results_dir': './results/huffpost/lssae'}
configs_huffpost_evos = {'dataset': 'huffpost', 'method': 'evos', 'device': 0, 'epochs': 50, 'lr': 2e-05, 'init_timestamp': 2012, 'split_time': 2015, 'num_head': 128, 'scale': 3, 'tradeoff_adv': 1.0, 'truncate': 1.0, 'data_dir': './datasets/huffpost', 'log_dir': './checkpoints/huffpost/evos', 'results_dir': './results/huffpost/evos'}


