
__all__ = ['configs_rmnist_coral', 'configs_rmnist_irm',
           'configs_rmnist_erm', 'configs_rmnist_erm_lisa', 'configs_rmnist_erm_mixup',
           'configs_rmnist_agem', 'configs_rmnist_ewc', 'configs_rmnist_ft', 'configs_rmnist_si',
           'configs_rmnist_simclr', 'configs_rmnist_swav', 'configs_rmnist_evos', 'configs_rmnist_drain', "configs_rmnist_lssae"]


configs_rmnist_coral = {'dataset': 'rmnist', 'method': 'coral', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'coral_lambda': 1.0, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/coral', 'results_dir': './results/rmnist/coral'}

configs_rmnist_irm = {'dataset': 'rmnist', 'method': 'irm', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'irm_lambda': 1.0, 'irm_penalty_anneal_iters': 0, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/irm', 'results_dir': './results/rmnist/irm'}

configs_rmnist_erm = {'dataset': 'rmnist', 'method': 'erm', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/erm', 'results_dir': './results/rmnist/erm'}

configs_rmnist_erm_lisa = {'dataset': 'rmnist', 'method': 'erm', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'lisa': True, 'lisa_intra_domain': False, 'mixup': False, 'lisa_start_time': 0, 'mix_alpha': 2.0, 'cut_mix': False, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/erm_lisa', 'results_dir': './results/rmnist/erm_lisa'}

configs_rmnist_erm_mixup = {'dataset': 'rmnist', 'method': 'erm', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'lisa': False, 'lisa_intra_domain': False, 'mixup': True, 'lisa_start_time': 0, 'mix_alpha': 2.0, 'cut_mix': False, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/erm_mixup', 'results_dir': './results/rmnist/erm_mixup'}

configs_rmnist_agem = {'dataset': 'rmnist', 'method': 'agem', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'buffer_size': 1000, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/agem', 'results_dir': './results/rmnist/agem'}

configs_rmnist_ewc = {'dataset': 'rmnist', 'method': 'ewc', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'ewc_lambda': 0.5, 'gamma': 1.0, 'online': True, 'fisher_n': None, 'emp_FI': False, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/ewc', 'results_dir': './results/rmnist/ewc'}

configs_rmnist_ft = {'dataset': 'rmnist', 'method': 'ft', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/ft', 'results_dir': './results/rmnist/ft'}

configs_rmnist_si = {'dataset': 'rmnist', 'method': 'si', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'si_c': 0.1, 'epsilon': 0.001, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/si', 'results_dir': './results/rmnist/si'}

configs_rmnist_simclr = {'dataset': 'rmnist', 'method': 'simclr', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/simclr', 'results_dir': './results/rmnist/simclr'}

configs_rmnist_swav = {'dataset': 'rmnist', 'method': 'swav', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/swav', 'results_dir': './results/rmnist/swav'}

configs_rmnist_evos = {'dataset': 'rmnist', 'method': 'evos', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/evos', 'results_dir': './results/rmnist/evos',
                              'scale': 3, 'num_head': 32,  'tradeoff_adv': 1.0, 'truncate': 2.0}

configs_rmnist_drain = {'dataset': 'rmnist', 'method': 'drain', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/drain', 'results_dir': './results/rmnist/drain',
                      "hidden_dim": 64, "latent_dim": 64, "num_rnn_layers": 10, "num_layer_to_replace": 1, "window_size": 0, "lambda_forgetting": 0.0}

configs_rmnist_gi = {'dataset': 'rmnist', 'method': 'gi', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/gi', 'results_dir': './results/rmnist/gi', "time_dim": 8, "time_append_dim": 256}

configs_rmnist_lssae = {'dataset': 'rmnist', 'method': 'lssae', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 5, 'data_dir': './datasets/rmnist', 'log_dir': './checkpoints/rmnist/lssae', 'results_dir': './results/rmnist/lssae'}
