
__all__ = ['configs_yearbook_coral', 'configs_yearbook_irm',
           'configs_yearbook_erm', 'configs_yearbook_erm_lisa', 'configs_yearbook_erm_mixup',
           'configs_yearbook_agem', 'configs_yearbook_ewc', 'configs_yearbook_ft', 'configs_yearbook_si',
           'configs_yearbook_simclr', 'configs_yearbook_swav', 'configs_yearbook_evos', 'configs_yearbook_drain', "configs_yearbook_lssae"]


configs_yearbook_coral = {'dataset': 'yearbook', 'method': 'coral', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'coral_lambda': 1.0, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/coral', 'results_dir': './results/yearbook/coral'}

configs_yearbook_irm = {'dataset': 'yearbook', 'method': 'irm', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'irm_lambda': 1.0, 'irm_penalty_anneal_iters': 0, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/irm', 'results_dir': './results/yearbook/irm'}

configs_yearbook_erm = {'dataset': 'yearbook', 'method': 'erm', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/erm', 'results_dir': './results/yearbook/erm'}

configs_yearbook_erm_lisa = {'dataset': 'yearbook', 'method': 'erm', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'lisa': True, 'lisa_intra_domain': False, 'mixup': False, 'lisa_start_time': 0, 'mix_alpha': 2.0, 'cut_mix': False, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/erm_lisa', 'results_dir': './results/yearbook/erm_lisa'}

configs_yearbook_erm_mixup = {'dataset': 'yearbook', 'method': 'erm', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'lisa': False, 'lisa_intra_domain': False, 'mixup': True, 'lisa_start_time': 0, 'mix_alpha': 2.0, 'cut_mix': False, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/erm_mixup', 'results_dir': './results/yearbook/erm_mixup'}

configs_yearbook_agem = {'dataset': 'yearbook', 'method': 'agem', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'buffer_size': 1000, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/agem', 'results_dir': './results/yearbook/agem'}

configs_yearbook_ewc = {'dataset': 'yearbook', 'method': 'ewc', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'ewc_lambda': 0.5, 'gamma': 1.0, 'online': True, 'fisher_n': None, 'emp_FI': False, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/ewc', 'results_dir': './results/yearbook/ewc'}

configs_yearbook_ft = {'dataset': 'yearbook', 'method': 'ft', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/ft', 'results_dir': './results/yearbook/ft'}

configs_yearbook_si = {'dataset': 'yearbook', 'method': 'si', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'si_c': 0.1, 'epsilon': 0.001, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/si', 'results_dir': './results/yearbook/si'}

configs_yearbook_simclr = {'dataset': 'yearbook', 'method': 'simclr', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/simclr', 'results_dir': './results/yearbook/simclr'}

configs_yearbook_swav = {'dataset': 'yearbook', 'method': 'swav', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/swav', 'results_dir': './results/yearbook/swav'}

configs_yearbook_evos = {'dataset': 'yearbook', 'method': 'evos', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/evos', 'results_dir': './results/yearbook/evos',
                            'our_group_size': 4, 'scale': 3, 'num_head': 16,  'tradeoff_adv': 1.0, 'truncate': 1.0}

configs_yearbook_drain = {'dataset': 'yearbook', 'method': 'drain', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/drain', 'results_dir': './results/yearbook/drain',
                      "hidden_dim": 64, "latent_dim": 64, "num_rnn_layers": 10, "num_layer_to_replace": 1, "window_size": 0, "lambda_forgetting": 0.0}

configs_yearbook_gi = {'dataset': 'yearbook', 'method': 'gi', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/gi', 'results_dir': './results/yearbook/gi', "time_dim": 8, "time_append_dim": 256}

configs_yearbook_lssae = {'dataset': 'yearbook', 'method': 'lssae', 'device': 0, 'epochs': 50, 'lr': 1e-3, 'init_timestamp': 0, 'split_time': 15, 'data_dir': './datasets/yearbook', 'log_dir': './checkpoints/yearbook/lssae', 'results_dir': './results/yearbook/lssae'}
